package egovframework.com.ext.oauth.service;

import java.util.Date;

import nlib.user.service.NlibLoginVO;
import nlib.util.StringUtil;

public class OAuthUniversalUser {
	
	private String mbSnsId;
	private String mbInfoId;
	private String snsId;
	
	private String snsEmail;
	private String snsUserId;
	private String snsName;
	private String snsNickName;
	
	private String snsBirthday;
	private String snsGender;
	
	private String snsType;
	private String snsMobileNo;
	
	private String loginIp;
	private Date   lastLogin;
	
	private String regDd;
	private NlibLoginVO nlibVO;
	

	private String councilJsessionId; /* 로그인 접속 문화원 코드 */
	private String councilHomeUrl;    /* 로그인 접속 문화원 홈 URL */ 


	private boolean isValidLogin = false;
	
	public boolean isValid() {
		return StringUtil.isNotEmpty(snsId);
	}
	
	public String getMbInfoId() {
		return mbInfoId;
	}

	public void setMbInfoId(String mbInfoId) {
		this.mbInfoId = mbInfoId;
	}
	
	public String getSnsId() {
		return snsId;
	}

	public void setSnsId(String snsId) {
		this.snsId = snsId;
	}

	public String getSnsEmail() {
		return snsEmail;
	}

	public void setSnsEmail(String email) {
		this.snsEmail = email;
	}

	public String getSnsUserId() {
		return snsUserId;
	}

	public void setSnsUserId(String snsUserId) {
		this.snsUserId = snsUserId;
	}

	public String getSnsName() {
		return snsName;
	}

	public void setSnsName(String snsName) {
		this.snsName = snsName;
	}

	public String getSnsNickName() {
		return snsNickName;
	}

	public void setSnsNickName(String snsNickName) {
		this.snsNickName = snsNickName;
	}

	public String getSnsType() {
		return snsType;
	}

	public void setSnsType(String snsType) {
		this.snsType = snsType;
	}

	public String getLoginip() {
		return loginIp;
	}

	public void setLoginip(String loginIp) {
		this.loginIp = loginIp;
	}

	public Date getLastlogin() {
		return lastLogin;
	}

	public void setLastlogin(Date lastLogin) {
		this.lastLogin = lastLogin;
	}

	public String getSnsBirthday() {
		return snsBirthday;
	}

	public void setSnsBirthday(String snsBirthday) {
		this.snsBirthday = snsBirthday;
	}

	public String getLoginIp() {
		return loginIp;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public Date getLastLogin() {
		return lastLogin;
	}

	public void setLastLogin(Date lastLogin) {
		this.lastLogin = lastLogin;
	}

	public String getSnsGender() {
		return snsGender;
	}

	public void setSnsGender(String snsGender) {
		this.snsGender = snsGender;
	}

	public boolean isValidLogin() {
		return isValidLogin;
	}

	public void setValidLogin(boolean isValidLogin) {
		this.isValidLogin = isValidLogin;
	}

	public String getSnsMobileNo() {
		return snsMobileNo;
	}

	public void setSnsMobileNo(String snsMobileNo) {
		this.snsMobileNo = snsMobileNo;
	}

	public NlibLoginVO getNlibVO() {
		return nlibVO;
	}

	public void setNlibVO(NlibLoginVO nlibVO) {
		this.nlibVO = nlibVO;
	}

	public String getMbSnsId() {
		return mbSnsId;
	}

	public void setMbSnsId(String mbSnsId) {
		this.mbSnsId = mbSnsId;
	}

	public String getRegDd() {
		return regDd;
	}

	public void setRegDd(String regDd) {
		this.regDd = regDd;
	}

	public String getCouncilJsessionId() {
		return councilJsessionId;
	}

	public void setCouncilJsessionId(String councilJsessionId) {
		this.councilJsessionId = councilJsessionId;
	}

	public String getCouncilHomeUrl() {
		return councilHomeUrl;
	}

	public void setCouncilHomeUrl(String councilHomeUrl) {
		this.councilHomeUrl = councilHomeUrl;
	}

}
